# Generated from shindo-0.3.4.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name shindo

%global rubyabi 1.9.1

Summary: Simple depth first Ruby testing
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.3.4
Release: 7%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/geemus/shindo
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
Requires: %{?scl_prefix}rubygem(formatador) >= 0.1.1
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby
BuildRequires: %{?scl_prefix}rubygem(formatador) >= 0.1.1
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Work with your tests, not against them.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
%{?scl:scl enable %{scl} "}
RUBYOPT="-I." bin/shindo
%{?scl:"}
popd

%files
%dir %{gem_instdir}
%{_bindir}/shindo
%{_bindir}/shindont
%{gem_instdir}/bin
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/README.rdoc

%files doc
%doc %{gem_docdir}
%{gem_instdir}/tests
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/shindo.gemspec

%changelog
* Wed Feb 27 2013 John Eckersberg <jeckersb@redhat.com> - 0.3.4-7
- SCL-ize specfile

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 18 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.4-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 13 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.4-2
- Simplified the test running.

* Wed Oct 12 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.4-1
- Initial package
